#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, m, k;
    cin>>n>>m>>k;
    long long ans=(n/k)*(m/k);
    if(n%k>0 && m%k>0){
        ans=ans+m/k;
        ans=ans+n/k;
        if(n%k>0 || m%k>0){
            ++ans;
        }
    }else if(n%k>0){
        ans=ans+m/k;
    }else if(m%k>0){
        ans=ans+n/k;
    }
    cout<<ans;
    return 0;
}
